Subject: Re: Serial port access (was: Can outsiders get simple questions answered?)
From: [email-masked] (Christopher G. Faylor)

29 Dec 1998 01:48:03 GMT
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
Dan Hensley <[email-masked]> wrote:
>> I have some mount points, that I setup in the registry manually, for hitting
>> the serial and parallel ports, but I haven't done much with them yet.
>>
>> To set them up, a registry init file with contents similar to this:
>>
>> ;; begin registry file "CYGSERIAL2.REG"
>>
>> REGEDIT4
>>
>> [HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\06]
>> "native"="\\\\.\\COM2"
>> "unix"="/dev/serial2"
>> "fbinary"=dword:00000001
>> "fsilent"=dword:00000000
>>
>> ;; end registry file
>>
>> may be used.  This particular example creates a virtual device '/dev/serial2'
>> which let's me (at least) send bits to the COM2: port.
>
>    I did as you suggested (replacing COM2 with COM1, since that's the port I'm
>trying to use).  This worked no problem, and entering a "mount" in cygwin showed
>that indeed this mount point was set.  However, when I try to open the COM port
>using open(), my session hangs, and the only way out of it is to kill the bash
>window.  Any idea what's happening here?  Incidentally, I tried the sample program
>you sent me with the same results...
>    I'm running b20.1 on NT4sp4.

By setting things up this way, you're working around Cygwin's own understanding
of com ports so the com port is treated as a regular file.

If you want to open a com port just use /dev/com1 or /dev/com2 .
-- 
[email-masked]
http://www.cygnus.com/